import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;

public class Haksa extends JFrame{
	JPanel panel;  // 메뉴별 화면이 출력되는 패널
	
	public Haksa(){
		setTitle("학사관리시스템"); 
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);//x버튼 누르면 프로그램 종료
		
		//메뉴바
		JMenuBar bar=new JMenuBar();
		
		//메뉴
		JMenu m_student=new JMenu("학생관리");
		bar.add(m_student);
		JMenu m_book=new JMenu("도서관리");
		bar.add(m_book);
		
		//메뉴아이템
		JMenuItem mi_list=new JMenuItem("학생정보");
		m_student.add(mi_list);
		JMenuItem mi_bookRent=new JMenuItem("대출목록");
		m_book.add(mi_bookRent);
		
		//이벤트처리
		mi_list.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				panel.removeAll(); // 자식콤포넌트모두삭제
				panel.revalidate();// 자식콤포넌트위치재조정
				panel.repaint();   // 다시그린다
				panel.add(new Student());
			    panel.setLayout(null);//레이아웃적용안함
			}});
		mi_bookRent.addActionListener(new ActionListener() {

			@Override
			public void actionPerformed(ActionEvent e) {
				panel.removeAll(); // 자식콤포넌트모두삭제
				panel.revalidate();// 자식콤포넌트위치재조정
				panel.repaint();   // 다시그린다
				panel.add(new BookRent());
			    panel.setLayout(null);//레이아웃적용안함
				
			}});
		
		//프레임에 메뉴바추가
		setJMenuBar(bar);
		
		//프레임에 패널추가
		panel=new JPanel();
		add(panel);
		
		setSize(800,600);  
		setVisible(true);
		  
	}

	public static void main(String[] args) {
		new Haksa();

	}

}
